सामग्री पर जाएँ

Seedance 2.5

इंटीग्रेट करें

मॉडल id bytedance/seedance-2.5/draft/complete
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedance-2.5/draft/complete?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "draft_id": "your-draft-id"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$9.15 9,150 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

सहेजे गए Seedance 2.5 ड्राफ़्ट को उसके ड्राफ़्ट id से 1080p में फिर से जनरेट करके पूरा करता है

ByteDance · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 13 / 8192

ड्राफ़्ट-सक्षम रिस्पॉन्स का ड्राफ़्ट पहचानकर्ता (`draft_id`), जिसका उपयोग इसकी सात-दिन की वैधता अवधि के दौरान केवल मूल कॉलर कर सकता है।

डिफ़ॉल्ट 1080p

पूर्ण किए गए ड्राफ़्ट का आउटपुट रिज़ॉल्यूशन 1080p तक सीमित है।

उन्नत codec
codec डिफ़ॉल्ट auto

वीडियो कोडेक चयन: `auto` डिफ़ॉल्ट कोडेक व्यवहार को अपरिवर्तित रखता है, `H264` H.264 चुनता है और `H265` H.265 चुनता है।

POST /run/bytedance/seedance-2.5/draft/complete?wait=20 कोटेशन → $9.15
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedance-2.5/draft/complete?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "draft_id": "your-draft-id"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Seedance 2.5 के बारे में

पहले चलाए गए Seedance 2.5 ड्राफ़्ट से `draft_id` लेता है और अंतिम वीडियो रेंडर करता है। id सात दिनों तक और केवल मूल कॉलर के लिए मान्य रहती है। आउटपुट 1080p पर स्थिर है, और कोडेक auto, H264 या H265 हो सकता है। यह वीडियो और सीड लौटाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
draft_idआवश्यक
प्रकारstring
≤ 8,192 अक्षर
ड्राफ़्ट-सक्षम रिस्पॉन्स का ड्राफ़्ट पहचानकर्ता (`draft_id`), जिसका उपयोग इसकी सात-दिन की वैधता अवधि के दौरान केवल मूल कॉलर कर सकता है।
resolutionवैकल्पिक
प्रकारstring
डिफ़ॉल्ट1080p
पूर्ण किए गए ड्राफ़्ट का आउटपुट रिज़ॉल्यूशन 1080p तक सीमित है।
codecवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
autoH264H265
वीडियो कोडेक चयन: `auto` डिफ़ॉल्ट कोडेक व्यवहार को अपरिवर्तित रखता है, `H264` H.264 चुनता है और `H265` H.265 चुनता है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance-2.5/draft/complete",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9150,
    "usd": "9.15",
    "charged": 9150,
    "refunded": 0
  },
  "input": {
    "draft_id": "your-draft-id"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "draft_id": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}निर्माण से तैयार की गई वीडियो फ़ाइल।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।
draft_id
string | nullसात दिनों के भीतर उसी खाते के अंतर्गत पूरा किए जाने वाले ड्राफ़्ट का पहचानकर्ता; ड्राफ़्ट मोड अक्षम होने पर प्रतिक्रिया में इसके बजाय null होता है।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/bytedance/seedance-2.5/draft/complete.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt